Bug 148888 - [MAINTAINER] security/gpgme: Fix build without libassuan installed
Summary: [MAINTAINER] security/gpgme: Fix build without libassuan installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-24 09:20 UTC by Jason E. Hale
Modified: 2010-07-27 19:10 UTC (History)
1 user (show)

See Also:


Attachments
2010-07-24-gpgme.diff (1.61 KB, patch)
2010-07-24 09:20 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2010-07-24 09:20:11 UTC
security/gpgme will fail to build if security/libassuan is not installed
Fix build by making libassuan a LIB_DEPENDS for all cases.

Reported by: pav

Fix: Use attached diff.
Remove: files/patch-src__engine-gpgconf.c (not needed since libassuan will always be required)
	
How-To-Repeat: Try to build security/gpgme using the GNUPG1 option without security/libassuan installed
Comment 1 Max Brazhnikov freebsd_committer 2010-07-25 14:02:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2010-07-27 19:07:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-07-27 19:07:15 UTC
makc        2010-07-27 18:07:06 UTC

  FreeBSD ports repository

  Modified files:
    security/gpgme       Makefile 
  Removed files:
    security/gpgme/files patch-src__engine-gpgconf.c 
  Log:
  Fix build with GnuPG 1.x (add unconditional dependency on security/libassuan)
  
  PR:             ports/148888
  Submitted by:   Jason E. Hale (maintainer)
  
  Revision  Changes    Path
  1.64      +2 -3      ports/security/gpgme/Makefile
  1.2       +0 -10     ports/security/gpgme/files/patch-src__engine-gpgconf.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"